%define         major        2
%define         libname      %mklibname %{name} %{major}
%define         develname    %mklibname %{name} -d

%define         vampdir      %{_libdir}/vamp
%define         ladspadir    %{_libdir}/ladspa
%define         pkgconfdir   %{_libdir}/pkgconfig
%define         lv2dir       %{_libdir}/lv2

Summary:        Audio time-stretching and pitch-shifting library
Name:           rubberband
Version:        3.3.0
Release:        %mkrel 1
License:        GPLv2
Group:          System/Libraries
URL:            https://www.breakfastquay.com/rubberband/
Source0:        https://breakfastquay.com/files/releases/%{name}-%{version}.tar.bz2
Source1:        https://www.breakfastquay.com/rubberband/usage.txt

BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(lv2)
BuildRequires:  meson
BuildRequires:  ladspa-devel
BuildRequires:  vamp-plugin-sdk-devel
BuildRequires:  boost-devel
Requires:       %{libname} = %{version}-%{release}

%description
Rubber Band is a library and utility program that permits you to change the
tempo and pitch of an audio recording independently of one another.

%package -n %{libname}
Summary:        Audio time-stretching and pitch-shifting library
Group:          System/Libraries


%description -n %{libname}
Rubber Band is a library and utility program that permits you to change the
tempo and pitch of an audio recording independently of one another.

%package -n %{develname}
Summary:        Development files for rubberband
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}


%description -n %{develname}
Rubber Band is a library and utility program that permits you to change the
tempo and pitch of an audio recording independently of one another. This
package contains files needed to develop with the rubberband library.

%prep
%setup -q
cp %{SOURCE1} .
%autopatch -p1


%build

%meson -Djni=disabled
%meson_build 



%install
%meson_install



%files
%doc usage.txt CHANGELOG
%{_bindir}/rubberband*

%files -n %{libname}
%{_libdir}/librubberband.so.%{major}{,.*}
%ladspadir/*.cat
%ladspadir/*.so
%{lv2dir}/rubberband.lv2/*.so
%{lv2dir}/rubberband.lv2/*.ttl
%vampdir/*.cat
%vampdir/*.so
%{_datadir}/ladspa/rdf/ladspa-rubberband.rdf


%files -n %{develname}
%{_includedir}/rubberband
%{_libdir}/*.so
%{_libdir}/*.a
%pkgconfdir/rubberband.pc



%changelog
* Sun Dec 10 2023 daviddavid <daviddavid> 3.3.0-1.mga10
+ Revision: 2016740
- new version: 3.3.0

* Tue May 30 2023 eatdirt <eatdirt> 3.2.1-1.mga9
+ Revision: 1959823
- Update to version 3.2.1

* Sat Dec 03 2022 eatdirt <eatdirt> 3.1.2-1.mga9
+ Revision: 1916129
- Upgrade to version 3.1.2

* Thu Aug 25 2022 eatdirt <eatdirt> 3.0.0-1.mga9
+ Revision: 1880300
- Update to version 3.0.0

* Thu May 05 2022 eatdirt <eatdirt> 2.0.2-1.mga9
+ Revision: 1856356
- Upgrade to version 2.0.2

* Fri Apr 01 2022 umeabot <umeabot> 1.9.2-2.mga9
+ Revision: 1838659
- Mageia 9 Mass Rebuild

* Fri Aug 27 2021 eatdirt <eatdirt> 1.9.2-1.mga9
+ Revision: 1742824
- Upgrade to version 1.9.2

* Thu Mar 18 2021 daviddavid <daviddavid> 1.9.1-1.mga9
+ Revision: 1704208
- new version: 1.9.1
- switch to meson build system
- update the usage.txt file

* Thu Oct 08 2020 eatdirt <eatdirt> 1.9.0-1.mga8
+ Revision: 1632821
- Upgrade to version 1.9.0

* Tue Feb 18 2020 umeabot <umeabot> 1.8.2-4.mga8
+ Revision: 1538571
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Nov 23 2019 zezinho <zezinho> 1.8.2-3.mga8
+ Revision: 1462292
- rebuild with vamp-2.9.0

* Sun Sep 23 2018 umeabot <umeabot> 1.8.2-2.mga7
+ Revision: 1300869
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 eatdirt <eatdirt> 1.8.2-1.mga7
+ Revision: 1249830
- Upgrade to version 1.8.2

* Sat Feb 03 2018 zezinho <zezinho> 1.8.1-10.mga7
+ Revision: 1198702
- rebuild against new vamp-plugins-sdk-2.7.1

* Sun Feb 21 2016 barjac <barjac> 1.8.1-9.mga6
+ Revision: 975352
- patch for arm build

* Sat Jan 30 2016 daviddavid <daviddavid> 1.8.1-8.mga6
+ Revision: 929208
- rebuild for arm

* Thu Aug 27 2015 cjw <cjw> 1.8.1-7.mga6
+ Revision: 870094
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 1.8.1-6.mga5
+ Revision: 745339
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.8.1-5.mga5
+ Revision: 730107
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.8.1-4.mga5
+ Revision: 688735
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.8.1-3.mga4
+ Revision: 518124
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.8.1-2.mga3
+ Revision: 380581
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 05 2012 eatdirt <eatdirt> 1.8.1-1.mga3
+ Revision: 314531
- Upgrade to version 1.8.1

* Sat Dec 10 2011 eatdirt <eatdirt> 1.7.0-1.mga2
+ Revision: 180381
- Upgrade to 1.7.0, specfile cleaned

* Thu Mar 24 2011 boklm <boklm> 1.5.0-2.mga1
+ Revision: 76206
- rebuild for bug #497

* Thu Mar 10 2011 ennael <ennael> 1.5.0-1.mga1
+ Revision: 67553
- clean spec file
- imported package rubberband


* Sun Aug 29 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.5.0-1mdv2011.0
+ Revision: 574019
- update to new version 1.5.0
- drop patch 1
- rediff patch 2
- Patch3: fix wrong versions

* Wed Mar 24 2010 Caio Begotti <caio1982@mandriva.org> 1.3-3mdv2010.1
+ Revision: 527211
- bump for a new gcc fix which makes it linkable with the new vamp-plugin-sdk

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Tue Mar 17 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3-1mdv2009.1
+ Revision: 356967
- update to new version 1.3

* Mon Aug 25 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2-1mdv2009.0
+ Revision: 275857
- Patch2: fix installation on x86_64
- update to new version 1.2
- bump major
- drop patch 0, fixed upstream
- Patch1: fix compiling with gcc43
- obsolete old major library
- spec file clean

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Mar 09 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-1mdv2008.1
+ Revision: 182979
- import rubberband


* Sun Mar 09 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-1mdv2008.1
- initial Mandriva release

* Wed Feb 20 2008 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 1.0.1-3
- rebuild for new version of vamp-plugins-sdk (1.1b)
- fixed typo that meant the pkgconfig file was not being installed

* Fri Dec 14 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 1.0.1-1
- initial build.
